﻿using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace Mynx
{
    public partial class AboutForm : Form
    {
        private PictureBox AppIcon = null;
        private Label lblCopyright = null;
        private Label lblVersion = null;
        private const int BorderSize = 8;

        public AboutForm()
        {
            InitializeComponent();

            if (!this.DesignMode)
            {
                InitializeText();
                InitializeSize();
            }
        }

        public Image ApplicationIcon
        {
            get
            {
                return AppIcon.Image;
            }

            set
            {
                AppIcon.Image = value;
            }
        }

        private void InitializeText()
        {
            this.Text = string.Format("About {0}", Application.ProductName);
            lblVersion.Text = string.Format("Version {0}", Application.ProductVersion);
            lblCopyright.Text = string.Format("Copyright (c) {0} {1}", Application.CompanyName, DateTime.Now.Year);
        }

        private void InitializeSize()
        {
            int versionWidth = GetLabelWidth(lblVersion);
            int copyrightWidth = GetLabelWidth(lblCopyright);

            int labelWidth = Math.Max(versionWidth, copyrightWidth);

            lblVersion.Width = labelWidth;
            lblCopyright.Width = labelWidth;

            this.Width = lblVersion.Left + lblVersion.Width + BorderSize;
        }

        private int GetLabelWidth(Label label)
        {
            Graphics graphics = label.CreateGraphics();
            SizeF sizeLabel = graphics.MeasureString(label.Text, label.Font);
            graphics.Dispose();

            return (int)sizeLabel.Width + (BorderSize << 2);
        }
    }
}
