﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Mynx
{
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = true, Inherited = true)]
    class ImageAttribute : Attribute
    {
        public string Name { get; set; }
        public string Extension { get; set; }

        public ImageAttribute(string name, string extension)
        {
            Name = name;

            if (extension.Length == 0)
            {
                throw new Exception("You must specify an extension for the image");
            }

            if (extension[0] != '.')
            {
                throw new Exception("The extension for the image must begin with a period ('.')");
            }

            Extension = extension;
        }
    }
}

