﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Imaging;

namespace Mynx
{
    public partial class MainWindow : Form
    {
        private const string FILTER
            = "All Supported Formats|*.jpg;*.gif;*.png;*.bmp;*.tif|"
            + "JPEG (*.jpg)|*.jpg|"
            + "CompuServe GIF (*.gif)|*.gif|"
            + "Portable Network Graphics (*.png)|*.png|"
            + "Windows Bitmaps (*.bmp)|*.bmp|"
            + "TIFF (*.tif)|*.tif|"
            + "All Files (*.*)|*.*";


        public MainWindow()
        {
            InitializeComponent();
        }

        private void MainWindow_Load(object sender, EventArgs e)
        {
            foreach (FontFamily font in FontFamily.Families)
            {
                ddlFontFamily.DropDownItems.Add(font.Name);
            }
            ddlFontFamily.Text = "Select Font Name";
        }

        private void openToolStripMenuItem_Click(object sender, EventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Filter = FILTER;

            if (openFileDialog.ShowDialog() == DialogResult.OK)
            {
                ChildWindow _childwindow = new ChildWindow(new Bitmap(openFileDialog.FileName), openFileDialog.FileName);
                _childwindow.MdiParent = this;
                _childwindow.Show();
              
            }
        }

        private void flipHorizontalToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ChildWindow _childwindow = (ChildWindow)this.ActiveMdiChild;
            _childwindow.ImagePanel.Image.RotateFlip(RotateFlipType.RotateNoneFlipX);
            _childwindow.ImagePanel.Invalidate();
        }

        private void flipVerticalToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ChildWindow _childwindow = (ChildWindow)this.ActiveMdiChild;
            _childwindow.ImagePanel.Image.RotateFlip(RotateFlipType.RotateNoneFlipY);
            _childwindow.ImagePanel.Invalidate();
        }

        private void rotateRightToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ChildWindow _childwindow = (ChildWindow)this.ActiveMdiChild;
            
            _childwindow.ImagePanel.Image.RotateFlip(RotateFlipType.Rotate90FlipNone);
            int newHeight = _childwindow.ImagePanel.CanvasSize.Width;
            int newWidth = _childwindow.ImagePanel.CanvasSize.Height;
            _childwindow.ImagePanel.CanvasSize = new Size(newWidth, newHeight);
            _childwindow.ImagePanel.Invalidate();
            
        }

        private void rotateLeftToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ChildWindow _childwindow = (ChildWindow)this.ActiveMdiChild;
            
            _childwindow.ImagePanel.Image.RotateFlip(RotateFlipType.Rotate270FlipNone);
            int newHeight = _childwindow.ImagePanel.CanvasSize.Width;
            int newWidth = _childwindow.ImagePanel.CanvasSize.Height;
            _childwindow.ImagePanel.CanvasSize = new Size(newWidth, newHeight);
            _childwindow.ImagePanel.Invalidate();
            
        }

        private void cropToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ChildWindow _childwindow = (ChildWindow)this.ActiveMdiChild;
            
            
        }

        private void ddlFontFamily_DropDownItemClicked(object sender, ToolStripItemClickedEventArgs e)
        {
            ddlFontFamily.Text = e.ClickedItem.Text;
        }

        private void resizeToolStripMenuItem_Click(object sender, EventArgs e)
        {

        }

       
    }
}
